Package org.apache.tools.ant.taskdefs.optional.extension.resolvers

# Class LocationResolver

java.lang.Object
org.apache.tools.ant.taskdefs.optional.extension.resolvers.LocationResolver

All Implemented Interfaces:
  `ExtensionResolver`

public class LocationResolver extends Object implements ExtensionResolver
Resolver that just returns s specified location.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LocationResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `resolve(Extension extension, Project project)`
  Returns the resolved file
  `void`
  `setLocation(String location)`
  Sets the location for this resolver
  `String`
  `toString()`
  Returns a string representation of the Location

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LocationResolver

    public LocationResolver()

- ## Method Details

  - ### setLocation

    public void setLocation(String location)
    Sets the location for this resolver
    Parameters:
      `location` - the location

  - ### resolve

    public File resolve(Extension extension, Project project) throws BuildException
    Returns the resolved file
    Specified by:
      `resolve` in interface `ExtensionResolver`
    Parameters:
      `extension` - the extension
      `project` - the project
    Returns:
      the file resolved
    Throws:
      `BuildException` - if no location is set

  - ### toString

    public String toString()
    Returns a string representation of the Location
    Overrides:
      `toString` in class `Object`
    Returns:
      the string representation